ubuntu/+source/libpeas:ubuntu/utopic-devel

Last commit made on 2014-09-18
Get this branch:
git clone -b ubuntu/utopic-devel https://git.launchpad.net/ubuntu/+source/libpeas
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/utopic-devel
Repository:
lp:ubuntu/+source/libpeas

Recent commits

ef57b49... by Iain Lane on 2014-09-18

Import patches-unapplied version 1.10.0-2ubuntu2 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 174324f47b779574b13a873bb88fc629833b763b

New changelog entries:
  * 0001-Don-t-issue-property-deprecation-warnings-in-tests.patch: Take patch
    from upstream bug to not issue warnings for deprecated properties in the
    testsuite, to fix FTBFS.

174324f... by Iain Lane on 2014-05-23

Import patches-unapplied version 1.10.0-2ubuntu1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: e06a32de0bdd1c6517d2dd40a649af5e22a4a159

New changelog entries:
  * Sync with Debian. Remaining changes:
    - debian/control.in:
      + Don't build-depend against seed or gjs since they're in universe
    - debian/rules:
      + Explicitly disable gjs and seed

e06a32d... by Andreas Henriksson on 2014-04-26

Import patches-unapplied version 1.10.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 94b82593184e391f7fbc0601c6f3ebf4d17fa16c

New changelog entries:
  * debian/rules, debian/control.in:
    Disable seed support on big-endian architectures (Closes: #727127)
    - add powerpc s390x sparc since mips was already excluded.
    - seed (because of webkit?) is broken on big endian.

94b8259... by Andreas Henriksson on 2014-04-01

Import patches-unapplied version 1.10.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: bf02928a899fae9f68ad06cfb8781ec62e48baef

New changelog entries:
  * export NOCONFIGURE in debian/rules to avoid double-configure.
  * Add --disable-gjs configure flag for now.
    - the gjs support has been dropped upstream
    - it causes test failures (see 1.9.0-1 changelog entry)
    - doesn't build with gjs >= 1.39 (mozjs24)
  * Make test-suite fatal again.
  * Bump Standards-Version to 3.9.5
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Bump gobject-introspection to >= 1.39.0
    - Drop libgjs-dev
  * Remove --disable-gjs configure flag (gjs no longer exists)
  * Drop debian/patches/Fix-autogen-with-latest-gnome-common.patch
    - from upstream, now part of released version.

bf02928... by Sjoerd Simons on 2013-11-03

Import patches-unapplied version 1.9.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: deab97312691c7066392c0ce7cc0178c7a135ba8

New changelog entries:
  * New upstream release
  * debian/patches/0001-Fix-tests-after-glib-string-change.patch
   + Dropped, fixed upstream
  * debian/patches/0002-Fix-autogen-with-latest-gnome-common.patch
   + Dropped, fixed upstream
  * debian/patches/Fix-autogen-with-latest-gnome-common.patch
    + Added, fix autogen (from upstream git)
  * make the test-suite non-fatal, issues filed upstream as bgo#711356

deab973... by Michael Biebl on 2013-10-14

Import patches-unapplied version 1.8.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 23c3b383075ec85fe3431a2b1908186f8f65614a

New changelog entries:
  * debian/patches/0002-Fix-autogen-with-latest-gnome-common.patch:
    Cherry-pick patch from upstream to drop usage of AM_GNU_GETTEXT as this is
    not working in combination with IT_PROG_INTLTOOL. This fixes a FTBFS with
    latest gnome-common which uses autoreconf now. (Closes: #724555)
  * Delete __pycache__ directory in addition to compiled .pyc and .pyo files.

23c3b38... by Michael Biebl on 2013-08-01

Import patches-unapplied version 1.8.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ca01bab6ba2a86a3cd07d8c3664be113783189f1

New changelog entries:
  [ Michael Biebl ]
  * Upload to unstable.
  [ Iain Lane ]
  * debian/patches/0001-Fix-tests-after-glib-string-change.patch: Cherry-pick
    from upstream to work with `old' and 'new' GLib strings. Fixes FTBFS in
    test suite.
  [ Jeremy Bicha ]
  * Update homepage
  [ Michael Biebl ]
  * New upstream release.
  * debian/watch: Track stable releases.

ca01bab... by Emilio Pozuelo Monfort <email address hidden> on 2013-03-28

Import patches-unapplied version 1.8.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 2cb3a058625520b21f0c665c9aeed9591b702ae2

New changelog entries:
  * New upstream release.
    + debian/patches/30_fix_python2-config.patch:
      - Removed, included upstream.

2cb3a05... by Emilio Pozuelo Monfort <email address hidden> on 2013-03-24

Import patches-unapplied version 1.7.0-2 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: cee5d5ec87f69791e613604a2f31accc44cdd1ef

New changelog entries:
  * debian/control.in:
    + Bump libgjs-dev build dependency to build against libgjs0c.
  * debian/rules:
    + Set $HOME when running the test suite, fixes the build on some
      buildds where $HOME is not writable.

cee5d5e... by Thomas Bechtold on 2013-03-16

Import patches-unapplied version 1.7.0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 72adaaa6597da156a8f7a0e4ca7d37cff60d44e6

New changelog entries:
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Build-Depends on python3-dev to build python3 loader.
    - Build-Depends on dh_autoreconf.
    - Build-Depends on python-gi-dev (>= 3.7.2) to pass testsuite.
    - Build-Depends on xvfb and xauth to run testsuite.
    - Build-Depends on libgjs-dev to build gjs loader.
    - Build-Depends on libseed-gtk3-dev also on ia64.
  * debian/rules:
    - Enable python3 loader (Closes: #678354).
    - Enable gjs loader.
    - Enable seed loader on ia64.
    - Include autoreconf.mk to run dh_autoreconf.
    - Enable testsuite.
    - Run gnome-autogen.sh
  * debian/patches:
    - Added 30_fix_python2-config.patch: Check for python-config binary.